For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Create tokenDev Discord
  • Get started
    • Introduction
    • Authentication
    • API Privacy
    • Exceptions
    • Dev Discord
  • Modules
      • GETList item database entries
      • POSTSearch item database
      • GETQuick item search
      • GETList recipe database entries
      • POSTSearch recipe database
      • GETGet item filter metadata
      • GETList item sets
  • Changelog
    • v3.7.2 - OAuth2
    • v3.7.1
    • v3.7
    • v3.6 - Fruma Expansion
    • v3.5.2
    • v3.5.1
    • v3.5 - User System
    • v3.4
    • v3.3.4
    • v3.3.3
    • v3.3.2
    • v3.3.1
    • v3.3 - Rekindled World
    • v3.2.5
    • v3.2.4
    • v3.2.3
    • v3.2.2
    • v3.2.1
    • v3.2
    • v3.1
    • v3.0
LogoLogoWynncraft API - Documentation
Create tokenDev Discord
ModulesItem & Recipe

Quick item search

GET
https://api.wynncraft.com/v3/item/search/:query
GET
/v3/item/search/:query
$curl https://api.wynncraft.com/v3/item/search/query
1[
2 {
3 "displayName": "Idol",
4 "internalName": "Idol",
5 "type": "weapon",
6 "subType": "spear",
7 "icon": {
8 "value": {
9 "id": "minecraft:potion",
10 "name": "spear.water3",
11 "customModelData": {
12 "rangeDispatch": [
13 3024
14 ]
15 }
16 },
17 "format": "attribute"
18 },
19 "emblem": "diamond_5",
20 "tier": "mythic",
21 "attackSpeed": "normal",
22 "averageDps": 533,
23 "restriction": "none",
24 "dropRestriction": "normal",
25 "elements": [
26 "water"
27 ],
28 "requirements": {
29 "level": 95,
30 "classRequirement": "warrior",
31 "intelligence": 120
32 },
33 "majorIds": {
34 "Tidal Drift": "<span class='font-ascii' style='color:#AAAAAA'>Flying Kick will instead send you forwards. This effect is limited to once per Charge cast.</span>"
35 },
36 "powderSlots": 3,
37 "lore": "<span class='font-ascii' style='color:#AAAAAA'>Intricate carvings and images, almost like that of a totem pole, cover the shaft of this marvelous trident, dredged up from the Seavale Reef. Foreign magics heighten the senses of its user in battle, but also instills a longing for the ocean. Many have succumbed to this urge and drowned themselves.</span>",
38 "identifications": {
39 "manaRegen": {
40 "min": 3,
41 "raw": 10,
42 "max": 13
43 },
44 "reflection": {
45 "min": 9,
46 "raw": 30,
47 "max": 39
48 },
49 "waterDefence": {
50 "min": 5,
51 "raw": 15,
52 "max": 20
53 },
54 "rawIntelligence": 26,
55 "rawSpellDamage": {
56 "min": 79,
57 "raw": 264,
58 "max": 343
59 },
60 "raw2ndSpellCost": {
61 "min": -15,
62 "raw": -50,
63 "max": -65
64 }
65 },
66 "base": {
67 "baseWaterDamage": {
68 "min": 220,
69 "raw": 220,
70 "max": 300
71 }
72 }
73 }
74]
<Note> This endpoint is cached for <Badge intent="error" minimal>1 hour</Badge> in the <Badge intent="success" minimal>SHARED</Badge> cache source. See [Caching](/welcome#caching). <Indent></Indent> This endpoint belongs to the <Badge intent="warning" minimal>ITEMS</Badge> rate-limit bucket. See [Throttling and Rate Limits](/welcome#throttling-and-rate-limits). </Note> Items use the [API Markup parser](/welcome#api-markup-parser) for Major IDs.
Enum values in these docs are based on the item metadata available on April 23, 2026. New item content can add or change values over time.
Was this page helpful?
Previous

Search item database

Next

List recipe database entries

Built with

This endpoint is cached for 1 hour in the SHARED cache source. See Caching.

This endpoint belongs to the ITEMS rate-limit bucket. See Throttling and Rate Limits.

Items use the API Markup parser for Major IDs.

Path parameters

querystringRequired

Response

Item matches.
displayNamestring
internalNamestring
typeenum
subTypeenum
iconobject
emblemenum
tierenum
attackSpeedenum
averageDpsdouble
restrictionstring
dropRestrictionstring
gatheringenum
Allowed values:
setenum
elementslist of strings
requirementsobject
majorIdsmap from strings to strings
powderSlotsinteger
lorestring
identificationsmap from strings to integers or objects
basemap from strings to integers or objects

Errors

404
Not Found Error